- Home
- API Enriched
- Tenant And Identity
- web
- Evaluate API Access.
Evaluate API Access.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/evaluate-api-access';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"access_control_type":"RBAC","item_lists":[{"items":[{"method":"example","path":"example"}],"list_id":"example"}],"namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/evaluate-api-access \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "access_control_type": "RBAC", "item_lists": [ { "items": [ { "method": "example", "path": "example" } ], "list_id": "example" } ], "namespace": "example" }'EvaluateAPIAccess can evaluate multiple lists of API URL, method under a namespace for a given user of a tenant.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Request body of Evaluate API Access.
object
A list of request API item lists.
A request API item list.
object
A list of request API items.
A request API item.
object
HTTP request method.
HTTP request URL path.
API item list identifier.
Name of the namespace under which all the URLs in APIItems will be evaluated.
Responses
Section titled “Responses”A successful response.
Response body of Evaluate API Access.
object
A list of request API item lists.
A response API item list. Result will show combined AND output from the result of individual API items.
object
A list of response API item lists.
A response API item.
object
object
List of addon service names.
HTTP request method.
object
HTTP request URL path.
Result after evaluation.
API item list identifier.
Combined result after evaluation of items.
Examplegenerated
{ "item_lists": [ { "items": [ { "addon_services": { "addon_service_names": [ "example" ] }, "method": "example", "none": {}, "path": "example", "result": true } ], "list_id": "example", "result": true } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example